<?php
/*
  Plugin Name: DeskMoz - 24x7 Chat Agents
  Plugin URI: http://www.deskmoz.com
  Description: The most cost effective DeskMoz - 24x7 Chat Agents plugin. DeskMoz - 24x7 Chat Agents is perfect for all types of businesses. No third party connections required. This is a fully functional live chat widget plugin. Increase your conversion rates by appointing 24x7 live chat agents to your website. 
  Version: 1.0
  Author: DeskMoz - Development Team
  Author URI: http://www.deskmoz.com
  Text Domain: deskmoz
  
 */
 
define( 'DMZCA__PLUGIN_DIR', plugin_dir_path( __FILE__ ) );
define( 'DMZCA_DELETE_LIMIT', 100000 );
add_action('wp_footer','dmzca_js'); // Add js file in website
function dmzca_js() 
{
	$dmzca_api 	= get_option('deskmozapikey');
	$output 	= "";
	if($dmzca_api != "")
	{
		wp_register_script( '121chat', 'https://121chatagent.com/'.$dmzca_api, array( 'jquery' ), NULL, false );
		wp_enqueue_script( '121chat' );			
	}
}
add_action('admin_menu', 'dmzca_admin_menu_setup'); // for add menu in admin  
function dmzca_admin_menu_setup()
{
    add_menu_page( 'DeskMoz - 24x7 Chat Agents', 'DeskMoz - 24x7 Chat Agents', 'manage_options', 'deskMoz-24x7-chat-agents', 'dmzca_menu_init' );
}

add_action( 'admin_menu',  'load_resources'  ); // load css and js in admin 

function load_resources() 
{
	global $hook_suffix;		
	wp_register_style( 'dmzca.css', plugin_dir_url( __FILE__ ) . 'dmzca.css', array() );
	wp_enqueue_style( 'dmzca.css');
	wp_register_script( 'dmzca.js', plugin_dir_url( __FILE__ ) . 'dmzca.js', array('jquery','postbox'));
	wp_enqueue_script( 'dmzca.js' );
}

function dmzca_curl($username,$pass) // fatch Dmzca api key
{
	$postdata = array(
		'username'   => $username, 
		'password'   => $pass, 
		'website' 	  => str_replace("http://","",str_replace("https://","",get_site_url()))     
    );	
	$curl = curl_init();
	curl_setopt_array($curl, array(
		CURLOPT_URL 				=> "https://deskmoz.com/dashboard/api/deskmoz_plugin",
		CURLOPT_RETURNTRANSFER 		=> true,
		CURLOPT_ENCODING 			=> "",
		CURLOPT_MAXREDIRS 			=> 10,
		CURLOPT_TIMEOUT 			=> 30,
		CURLOPT_HTTP_VERSION 		=> CURL_HTTP_VERSION_1_1,
		CURLOPT_CUSTOMREQUEST 		=> "POST",
		CURLOPT_POSTFIELDS 			=> json_encode($postdata, JSON_PRETTY_PRINT),
		CURLOPT_HTTPHEADER 			=> array(
			"Cache-Control: no-cache",
			"Content-Type: application/json"
		),
	));
	$response = curl_exec($curl);
	return $response;
}
 
function dmzca_menu_init()
{ 
	$pagelink 	= wp_nonce_url(admin_url('?page=deskMoz-24x7-chat-agents'), 'doing_something', '_wpnonce');
	$staus		= 1;
	if($_POST)
	{
		if($_POST['username']!="")
		{
			if($_POST['password']!="")
			{
				$ids = dmzca_curl($_POST['username'],$_POST['password']);
				$res = json_decode($ids);
				if(isset($res->result) && $res->result!="An Error Occured. Please try again")
				{
					
					if($r == "")
					{
						$getdata	=	sanitize_text_field($res->result);
						add_option( 'deskmozapikey', $getdata, '', 'yes' ); // set DMZCA api key 
					}
					else
					{
						$getdata	=	sanitize_text_field($res->result);
						update_option( 'deskmozapikey', $getdata, '', 'yes' ); // Update DMZCA api key 
					}
					$r	=	get_option('deskmozapiuser');
					if($r == "")
					{
						$getdata	=	sanitize_text_field($_POST['username']);
						add_option( 'deskmozapiuser', $getdata, '', 'yes' ); // set DMZCA api key 
					}
					else
					{
						$getdata	=	sanitize_text_field($_POST['username']);
						update_option( 'deskmozapiuser', $getdata, '', 'yes' ); // Update DMZCA api key 
					}
					$r	=	get_option('deskmozapipass');
					if($r == "")
					{
						$getdata	=	sanitize_text_field($_POST['password']);
						add_option( 'deskmozapipass', $getdata, '', 'yes' ); // set DMZCA api key 
					}
					else
					{
						$getdata	=	sanitize_text_field($_POST['password']);
						update_option( 'deskmozapipass', $getdata, '', 'yes' ); // Update DMZCA api key 
					}
					$staus=0;
				}
				else
				{
					if($res->result=="An Error Occured. Please try again")
					{
						$res->error="Please Register Your Website at <a href='https://deskmoz.com/' target='_blank'>DESKMOZ</a> to get 24x7 Live Chat Agents. ";
					}
				}
			}
		}
	}
?>

       <div class="wrap">
			<h1>DeskMoz - 24x7 Chat Agents</h1>
			<div class="card pressthis">
				<p>
					<a href="https://deskmoz.com/" style="height: 72px;">
						<img src="https://deskmoz.com/wp-content/uploads/2017/10/greenLogo.png" alt="logo" style="width: 100%;" />
					</a>
				</p>
				<p>Enter your DeskMoz's Username/Email and Password to get chat widget on your Website.</p>
				
				<form method="post" onsubmit="return getdmzcacheck();" action="<?php echo $pagelink; ?>">
					<?php 
					if(isset($res->error)){?>
						<h5 style="color:red"><?php echo $res->error; ?></h5>
					<?php }
					if($staus==0){ ?>
						<h5 style="color:green">Chat widget successfully added to your Website .</h5>
					<?php }
					?>
						<div class="dk_input">
							<span >Username</span>
							<input type="text" name="username" id="username" value="<?php echo get_option('deskmozapiuser'); ?>" placeholder="Enter Username " >
						</div>
						<div class="dk_input">
							<span >Password</span>
							<input type="password" name="password" id="password" value="<?php echo get_option('deskmozapipass'); ?>" placehoder="Enter Password">
						</div>
						<input type="submit" value="Submit" />
				</form>
			</div>
		</div>
	   
<?php } ?>